function getNSLayer(inNode, inName) {

	var node, i;

	node = inNode[inName];
	for (i = 0; !node && inNode.layers && i < inNode.layers.length; i++) {
		node = getNSLayer(inNode.layers[i].document,inName);
	}
	return node;
}

function getLayer(inNode,inName) {

	var node;

	if (inNode.getElementById) {
		node = inNode.getElementById(inName);
	} else if (inNode.all) {
		node = inNode.all[inName];
	} else if (inNode.layers) {
		node = getNSLayer(inNode, inName);
	}
	if (!node) alert("Could not find layer " + inName + ".");
	return node;
}

function getStyle(inNode) {

	var style;

	if (is.w3c || is.ie4) {
		style = inNode.style;
	} else if (is.ns4) {
		style = inNode;
	} else {
		style = 0;
	}
	return style;
}

function setLayerPos(inNode, left, top) {

	if (is.ie4 || is.w3c) {
		inNode.style.left = left + "px";
		inNode.style.top  = top + "px";
	} else if (is.ns4) {
		inNode.left = left;
		inNode.top  = top;
	}
}

function showLayer(mNode) {

	var style;

	style = getStyle(mNode);
	if (style) style.visibility = "visible";
}

function hideLayer(mNode) {

	var style;

	style = getStyle(mNode);
	if (style) style.visibility = "hidden";
}

function isPositioned(mNode) {

	return (mNode.left || mNode.style.left);
}

function layerWidth(mNode) {

	var nWidth;

	if (is.ie4 || is.w3c) {
		//alert("Node width = " + mNode.style.width);
		nWidth  = parseInt(mNode.style.width);
	} else if (is.ns4) {
		nWidth  = parseInt(mNode.width);
	}
	return nWidth;
}

function expandLayer(mNode) {

	var style;

	style = getStyle(mNode);
	if (style) style.display = "block";
}

function contractLayer(mNode) {

	var style;

	style = getStyle(mNode);
	if (style) style.display = "none";
}

function insertLayer(mNode) {

	var style;

	style = getStyle(mNode);
	if (style) style.display = "inline";
}

function setLayerColor(tag,bgColor,tColor) {

	var elLayer;

	elLayer = getLayer(document,tag);
	elStyle = getStyle(elLayer);
	if (elStyle) {
		if (is.ns4) {
			elStyle.bgColor = bgColor;
			//Netscape 4.xx browsers don't support this!
			//elStyle.fgColor = tColor;
		} else {
			elStyle.backgroundColor = bgColor;
			elStyle.color = tColor;
		}
	}
}

var NSVisType = new Array();
	NSVisType["visible"] = "show";
	NSVisType["hidden"]  = "hide";
	NSVisType["inherit"] = "inherit";

function setStyle(divType, fontSize, left, top, width, height, zIndex, bgColor, visibility) {

	 var dStyle;

	 if (divType == "layer") {
		dStyle  = 'left="' + left;
		dStyle += '" top="' + top;
		dStyle += '" width="' + width;
		dStyle += '" height="' + height;
		if (zIndex) dStyle += '" z-index="' + zIndex;
		if (bgColor) {
		    dStyle += '" bgColor="' + bgColor;
		} else {
		    dStyle += '" bgColor="#000000';
		}
		if (visibility) dStyle += '" visibility="' + NSVisType[visibility];
		dStyle += '" ';
	 } else {
		dStyle  = 'style="font-size : ' + fontSize + 'pt; ';
		dStyle += 'left : ' + left + 'px; ';
		dStyle += 'top : ' + top + 'px; ';
		dStyle += 'width : ' + width + 'px; ';
		dStyle += 'height : ' + height + 'px; ';
		if (zIndex) dStyle += 'z-index : ' + zIndex + '; ';
		if (bgColor) dStyle += 'background-color : ' + bgColor + '; ';
		if (visibility) dStyle += 'visibility : ' + visibility + '; ';
		dStyle += '" ';
	 }
	 //alert("dStyle = " + dStyle);
	 return dStyle;
}
